﻿using Infragistics.Web.UI;
using Infragistics.Web.UI.GridControls;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected DataTable populateGrid()
    {
        DataTable dt = new DataTable();
        dt.Columns.Add("ID");
        dt.Columns.Add("Name");
        dt.Columns.Add("Description");
        dt.Columns.Add("Other");
        DataRow row;
        for (int i = 0; i < 10; i++)
        {
            row = dt.NewRow();
            row.SetField<int>("ID", i);
            row.SetField<string>("Name", "Name" + i);
            row.SetField<string>("Description", "Description" + i);
            dt.Rows.Add(row);
        }

        return dt;
    }
    protected void Page_Load(object sender, EventArgs e)
    {
        TemplateDataField field1 = new TemplateDataField();
        field1.Key = "TemplateColumn1";
        field1.Header.Text = "ID";
        WebDataGrid1.Columns.Add(field1);
        field1.ItemTemplate = new CustomItemTemplate();

        WebDataGrid1.DataSource = populateGrid();
        if (!Page.IsPostBack)
        {
            WebDataGrid1.DataBind();

        }
    }

    private class CustomItemTemplate : ITemplate
    {
        public void InstantiateIn(Control container)
        {
            var dataItem = ((DataRowView)((TemplateContainer)container).DataItem);            
            Label idLabel = new Label();
            idLabel.Text = dataItem["ID"].ToString();
            Label detailsLabel = new Label();
            detailsLabel.Text = dataItem["Name"].ToString() + " " + dataItem["Description"].ToString();
            container.Controls.Add(idLabel);
            container.Controls.Add(new LiteralControl("<br />"));
            container.Controls.Add(detailsLabel);
        }
    }

}